GPS2UDP(1)

NAME
gps2udp - feed the take from gpsd to one or more aggregation sites

SYNOPSIS

gps2udp [-h] [-n] [-j] [-a] [-u hostname:udpport] [-c count] [-d 1|2] [-v] [server [:port [:device]]]

DESCRIPTION

gps2udp is a tool to connect to gpsd and output the received sentences to one or many UDP host:port destinations. This makes the program useful for feeding AIS information from gpsd to aishub, marinetraffic, shipfinder,...

gps2udp does not require root privileges, and can be run concurrently with other tools connecting to the local gpsd without causing problems.

The output will consist of one or both of NMEA (-n option) or JSON (-j option) gpsd sentences. The output is sent to one or many destinations host through a UDP network socket (-u host:port options) .

Optionally a server, TCP/IP port number and remote device can be given. If omitted, gps2udp connects to localhost on the default port (2947) and watches all devices opened by gpsd.

gps2udp may be run as a daemon (-b option).

gps2udp is designed to run smoothly in background; it reconnects automatically to gpsd whenever it is restarted. For debugging purporses, there is an option to exit gracefully after a given count of packets (-c option).

OPTIONS

-h makes gps2udp print a usage message and exit.

-n causes NMEA sentences to be output.

-j causes JSON sentences to be output.

-u host:port UDP destination for output sentenses (up to five destinations).

-a output only AIS messages.

-b causes gps2udp to run as a daemon.

-c [count] causes [count] sentences to be output. gps2udp will then exit gracefully.

-d 1 prints sent packet on stdout.

-v prints the version, then exits.

EXAMPLE

With a running gpsd accessible on the network

gps2udp -d 1 -n -u data.aishub.net:2222 will collect data from localhost:gpsd display them on stdout and send a copy to test aishub in NMEA format.

gps2udp -a -n -b -u data.aishub.net:2222 -u 5.9.207.224:5321 -u 109.200.19.151:4001 fridu.net:2947 will collect data from a remote gpsd located on fridu.net host, will filter AIS messages and send them to 3 destination (aishub, marinetraffic, shipfinder) in NMEA format, command is running in background mode

SEE ALSO

 gpsd(8), gps(1), libgps(3), libgpsmm(3), gpsprof(1), gpsfake(1), gpsctl(1), gpscat(1). gpsmon(1).

AUTHOR

Fulup Ar Foll <fulup@sinagot.net>.